Subject: Re: bug#78561: [PATCH] Add semantic linefeed support for paragraph filling

From: Roi Martin <[email-masked]>
Date: Tue, 03 Jun 2025 08:45:17 +0200

Stefan Monnier <[email-masked]> writes:

> Side comment, tho: it would be good to get rid of the `with-restriction`
> so that the code can see the surrounding text.  In the past such
> restrictions in `fill.el` have posed problems for example when we want
> to refill code in a way that obeys indentation rules or that
> needs to distinguish filling within strings vs filling within comments.

The latest version is far from perfect but works well for the most
common use cases.  The included tests can given you an idea of the
current state.  Are you OK with tackling the `with-restriction'
improvement in a future patch?

        Roi